## rust-unicode-case-mapping 1.0.0

=== Makefile ===
UCD:=16.0.0

# the sed command removes entries in the table that map to themselves, which
# makes the data tables a bit smaller.
tables:
	yeslogic-ucd-generate case-folding-simple --rust-match ../ucd-generate/ucd-$(UCD)/ > src/case_folding_simple.rs
	yeslogic-ucd-generate case-mapping ../ucd-generate/ucd-$(UCD)/ > src/tables.rs
	cargo fmt
	sed -i.bak -E '/\(([0-9]+), &\[\1\]\)/d' src/tables.rs
	rm src/tables.rs.bak


.PHONY: tables

=== debian/changelog ===
rust-unicode-case-mapping (1.0.0-1) unstable; urgency=medium

  * Package unicode-case-mapping 1.0.0 from crates.io using debcargo 2.7.8

 -- Matthias Geiger <werdahias@debian.org>  Sun, 30 Mar 2025 21:28:38 +0200

=== debian/control ===
Source: rust-unicode-case-mapping
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/unicode-case-mapping]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/unicode-case-mapping
Homepage: https://github.com/yeslogic/unicode-case-mapping
X-Cargo-Crate: unicode-case-mapping
Rules-Requires-Root: no

Package: librust-unicode-case-mapping-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-unicode-case-mapping+default-dev (= ${binary:Version}),
 librust-unicode-case-mapping-1-dev (= ${binary:Version}),
 librust-unicode-case-mapping-1+default-dev (= ${binary:Version}),
 librust-unicode-case-mapping-1.0-dev (= ${binary:Version}),
 librust-unicode-case-mapping-1.0+default-dev (= ${binary:Version}),
 librust-unicode-case-mapping-1.0.0-dev (= ${binary:Version}),
 librust-unicode-case-mapping-1.0.0+default-dev (= ${binary:Version})
Description: Fast lowercase, uppercase, and titlecase mapping for characters - Rust source code
 Source code for Debianized Rust crate "unicode-case-mapping"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-case-mapping 1.0.0 --all-targets --all-features
Features: test-name=rust-unicode-case-mapping:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-case-mapping 1.0.0 --all-targets
Features: test-name=librust-unicode-case-mapping-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test unicode-case-mapping 1.0.0 --all-targets --no-default-features
Features: test-name=librust-unicode-case-mapping-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/unicode-case-mapping-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/unicode-case-mapping .*/crates/unicode-case-mapping/@ANY_VERSION@/download
